<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BlindedMdfr Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d49/class_blinded_mdfr.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">BlindedMdfr Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for BlindedMdfr:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/d49/class_blinded_mdfr.png" usemap="#BlindedMdfr_map" alt=""/>
  <map id="BlindedMdfr_map" name="BlindedMdfr_map">
<area href="../../d8/d0a/class_modifier_base.html" alt="ModifierBase" shape="rect" coords="0,0,87,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aefaa88fcb5bb255b540db98271f130b1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d49/class_blinded_mdfr.html#aefaa88fcb5bb255b540db98271f130b1">Init</a> ()</td></tr>
<tr class="separator:aefaa88fcb5bb255b540db98271f130b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a244a9f1889d5a4f201ceae926557d67b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d49/class_blinded_mdfr.html#a244a9f1889d5a4f201ceae926557d67b">ActivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a244a9f1889d5a4f201ceae926557d67b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a890b7f023c951fbd15f8fbfadde10524"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d49/class_blinded_mdfr.html#a890b7f023c951fbd15f8fbfadde10524">OnActivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a890b7f023c951fbd15f8fbfadde10524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc375346391b8d97f2ee674763c5a838"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d49/class_blinded_mdfr.html#acc375346391b8d97f2ee674763c5a838">OnDeactivate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:acc375346391b8d97f2ee674763c5a838"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd2e29c34f3d0232227f2eab05597107"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d49/class_blinded_mdfr.html#abd2e29c34f3d0232227f2eab05597107">DeactivateCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:abd2e29c34f3d0232227f2eab05597107"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4073f14f78a52aec4d48db07c28fe5f2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d49/class_blinded_mdfr.html#a4073f14f78a52aec4d48db07c28fe5f2">OnTick</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaT)</td></tr>
<tr class="separator:a4073f14f78a52aec4d48db07c28fe5f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:acbe51f2cc98428d9972923c3257c71e4"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d49/class_blinded_mdfr.html#acbe51f2cc98428d9972923c3257c71e4">BLIND_TIME</a> = 7</td></tr>
<tr class="separator:acbe51f2cc98428d9972923c3257c71e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a385ed0704722ad25c29e4703e33920b1"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d49/class_blinded_mdfr.html#a385ed0704722ad25c29e4703e33920b1">m_Timer</a></td></tr>
<tr class="separator:a385ed0704722ad25c29e4703e33920b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d5/d06/_blinded_8c_source.html#l00001">1</a> of file <a class="el" href="../../d5/d06/_blinded_8c_source.html">Blinded.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a244a9f1889d5a4f201ceae926557d67b" name="a244a9f1889d5a4f201ceae926557d67b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a244a9f1889d5a4f201ceae926557d67b">&#9670;&#160;</a></span>ActivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BlindedMdfr::ActivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d06/_blinded_8c_source.html#l00015">15</a> of file <a class="el" href="../../d5/d06/_blinded_8c_source.html">Blinded.c</a>.</p>

</div>
</div>
<a id="abd2e29c34f3d0232227f2eab05597107" name="abd2e29c34f3d0232227f2eab05597107"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd2e29c34f3d0232227f2eab05597107">&#9670;&#160;</a></span>DeactivateCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> BlindedMdfr::DeactivateCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d06/_blinded_8c_source.html#l00032">32</a> of file <a class="el" href="../../d5/d06/_blinded_8c_source.html">Blinded.c</a>.</p>

</div>
</div>
<a id="aefaa88fcb5bb255b540db98271f130b1" name="aefaa88fcb5bb255b540db98271f130b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefaa88fcb5bb255b540db98271f130b1">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BlindedMdfr::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d06/_blinded_8c_source.html#l00006">6</a> of file <a class="el" href="../../d5/d06/_blinded_8c_source.html">Blinded.c</a>.</p>

</div>
</div>
<a id="a890b7f023c951fbd15f8fbfadde10524" name="a890b7f023c951fbd15f8fbfadde10524"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a890b7f023c951fbd15f8fbfadde10524">&#9670;&#160;</a></span>OnActivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BlindedMdfr::OnActivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d06/_blinded_8c_source.html#l00020">20</a> of file <a class="el" href="../../d5/d06/_blinded_8c_source.html">Blinded.c</a>.</p>

</div>
</div>
<a id="acc375346391b8d97f2ee674763c5a838" name="acc375346391b8d97f2ee674763c5a838"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc375346391b8d97f2ee674763c5a838">&#9670;&#160;</a></span>OnDeactivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BlindedMdfr::OnDeactivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d06/_blinded_8c_source.html#l00026">26</a> of file <a class="el" href="../../d5/d06/_blinded_8c_source.html">Blinded.c</a>.</p>

</div>
</div>
<a id="a4073f14f78a52aec4d48db07c28fe5f2" name="a4073f14f78a52aec4d48db07c28fe5f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4073f14f78a52aec4d48db07c28fe5f2">&#9670;&#160;</a></span>OnTick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BlindedMdfr::OnTick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaT</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d06/_blinded_8c_source.html#l00044">44</a> of file <a class="el" href="../../d5/d06/_blinded_8c_source.html">Blinded.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="acbe51f2cc98428d9972923c3257c71e4" name="acbe51f2cc98428d9972923c3257c71e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbe51f2cc98428d9972923c3257c71e4">&#9670;&#160;</a></span>BLIND_TIME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BlindedMdfr::BLIND_TIME = 7</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d06/_blinded_8c_source.html#l00003">3</a> of file <a class="el" href="../../d5/d06/_blinded_8c_source.html">Blinded.c</a>.</p>

</div>
</div>
<a id="a385ed0704722ad25c29e4703e33920b1" name="a385ed0704722ad25c29e4703e33920b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a385ed0704722ad25c29e4703e33920b1">&#9670;&#160;</a></span>m_Timer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d4/dc3/classfloat.html">float</a> BlindedMdfr::m_Timer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d06/_blinded_8c_source.html#l00004">4</a> of file <a class="el" href="../../d5/d06/_blinded_8c_source.html">Blinded.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/PlayerModifiers/Modifiers/conditions/<a class="el" href="../../d5/d06/_blinded_8c_source.html">Blinded.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d49/class_blinded_mdfr.html">BlindedMdfr</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
